| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiMP.Parallel.SshSession Class Reference
Inheritance diagram for GaudiMP.Parallel.SshSession:
[legend]
Collaboration diagram for GaudiMP.Parallel.SshSession:
[legend]

## Public Member Functions
def | __init__ (self, hostname)
def | __del__ (self)

## Public Attributes
| host
| session

## Detailed Description

Definition at line 205 of file Parallel.py.

## Constructor & Destructor Documentation

def GaudiMP.Parallel.SshSession.__init__ | ( |  | self,
|  |  | hostname
| ) |  |

Definition at line 206 of file Parallel.py.

206 def __init__(self, hostname):
207 import pyssh
208 import pp
209 self.host = hostname
210 ppprefix = os.path.dirname(os.path.dirname(pp.__file__))
211 self.session = pyssh.Ssh(host=hostname)
212 self.session.open()
213 self.session.read_lazy()
214 self.session.write('cd %s\n' % os.getcwd())
215 self.session.read_lazy()
216 self.session.write('setenv PYTHONPATH %s\n' % os.environ['PYTHONPATH'])
217 self.session.read_lazy()
218 self.session.write('setenv LD_LIBRARY_PATH %s\n' %
219 os.environ['LD_LIBRARY_PATH'])
220 self.session.read_lazy()
221 self.session.write('setenv ROOTSYS %s\n' % os.environ['ROOTSYS'])
222 self.session.read_lazy()
223 self.session.write('%s %s/scripts-%s/ppserver.py \n' %
224 (sys.executable, ppprefix, sys.version.split()[0]))
225 self.session.read_lazy()
226 self.session.read_lazy()
227 print 'started ppserver in ', hostname
228
GaudiMP.Parallel.SshSession.host
host
Definition: Parallel.py:209
GaudiMP.Parallel.SshSession.__init__
def __init__(self, hostname)
Definition: Parallel.py:206
GaudiMP.Parallel.SshSession.session
session
Definition: Parallel.py:211

def GaudiMP.Parallel.SshSession.__del__ | ( |  | self | ) |

Definition at line 229 of file Parallel.py.

229 def __del__(self):
230 self.session.close()
231 print 'killed ppserver in ', self.host
232
GaudiMP.Parallel.SshSession.host
host
Definition: Parallel.py:209
GaudiMP.Parallel.SshSession.__del__
def __del__(self)
Definition: Parallel.py:229

## Member Data Documentation

GaudiMP.Parallel.SshSession.host

Definition at line 209 of file Parallel.py.

GaudiMP.Parallel.SshSession.session

Definition at line 211 of file Parallel.py.

The documentation for this class was generated from the following file:

- GaudiMP/python/GaudiMP/Parallel.py